{% extends 'core/base.html' %}
{% load static %}

{% block header %}
<link rel="stylesheet" type="text/css" href="{% static 'docket/css/docket.css' %}">
{% endblock %}

{% block content %}
<div class="list">
	{% for item in docketitems %}
	<a href="{% url 'docket:edit-item' item.id %}">
		<div class="list-item docket-item">
			<div class="docket-info">
				<div class="docket-lead-line">
					<div class="docket-item-title">{{ item.title|escape }}</div>
					<div class="docket-item-status" style="color:{{ item.status_fore_color }};background-color:{{ item.status_bg_color }};">
						{{ item.status_display }}
					</div>
				</div>

				<div class="docket-item-last_update">
					{{ item.latest_update_text|escape }}
				</div>

				<div class="stretchflex">
					<div class="docket-item-priority" style="color:{{ item.priority_fore_color }};background-color:{{ item.priority_bg_color }};">
						{{ item.priority_display }}
					</div>
					
					<div class="docket-item-created">{{ item.created|date:"M d, Y" }}</div>
					<div class="docket-item-updated" style="color:{{ item.last_update_fore_color }};background-color:{{ item.last_update_bg_color }};">
						{{ item.last_update|date:"M d, Y" }}
					</div>
				</div>
			</div>
			<div class="docket-status-bar" style="background-color:{{ item.status_bg_color }};"></div>
		</div>
	</a>
	{% endfor %}
	{% if not docketitems %}
	<div class="emptyDocket">You have nothing on your docket!</div>
	{% endif %}
	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</div>
{% endblock %}